---
nav: wcp_docs
parent_url: /wcp_docs/
title: Connect an External Agent with Workday MCP
layout: subsection
---

### Prerequisites

-   OAuth credentials.
-   An external API Client of your choice, such as Bruno or Postman.


<b>Note:</b> You might need to take additional steps to enable this feature based on your organization's subscription service agreement. Your organization is either on the Main Service Agreement (MSA) or the Universal Main Service Agreement (UMSA). To determine your organization's subscription service agreement:

1.  Select your profile avatar on [Workday Community](https://resourcecenter.workday.com/).
2.  Select <b>Profile</b>.
3.  On your profile page, select your organization's name, which is beneath your name and next to your job title.
4.  View your <b>Subscription Service Agreement</b> value.


If the value is:

-   <i>UMSA</i>, the feature is automatically available. You can skip the <b>Enable Innovation Services Feature and AI Data Contributions for MSA Customers</b> step. For more information on Machine Learning data contributions, see [Concept: Workday AI for Universal Main Subscription Agreement Customers](https://doc.workday.com/bin/context-links-api?wd:docset=adminguide&ft:locale=en-US&resourceid=GUID-1f02f09c-01ae-497c-a803-c234154d9d98-enHYPHENus).
-   <i>MSA</i>, you must enable this feature through Innovation Services using the <b>Enable Innovation Services Feature and AI Data Contributions for MSA Customers</b> step.


Note: UMSA customers don't have Innovation Services tasks and reports in their tenants as these are for MSA customers only. UMSA customers can ignore all information regarding Innovation Services.

### Context

You can set up your tenant to connect any registered external agent with Workday’s MCP server.

<b>Note:</b> This functionality is for Extend Professionals only.

### Steps

1.  [Set Up Agent System of Record](https://doc.workday.com/bin/context-links-api?wd:docset=adminguide&ft:locale=en-US&resourceid=GUID-c6b87c0f-5b40-4812-975e-cc8cacf0cb10).
2.  [Discover Available Agent-Ready MCP Tools](/wcp_docs/GUID-f86470b2-4283-48e6-8d7e-18c91c470878-enHYPHENus.html).
3.  [Register External Agents](/wcp_docs/GUID-267aee04-5657-4f75-9ddb-95a657f43d75.html).
4.  [Configure External Agents](/wcp_docs/GUID-c5acf775-c7a9-45de-bcf9-c858f0bcf085.html).
5.  [Configure Security Policies for Agent Skills](https://doc.workday.com/bin/context-links-api?wd:docset=adminguide&ft:locale=en-US&resourceid=GUID-b747627b-e8c3-4c5a-b9b4-5332a30e9107).
6.  In your API Client (Bruno or Postman), call the Authorize endpoint and log in. Example:

    ```
    GET https://us.agent.workday.com/auth/authorize/<tenant>
    Params: client_id, redirect_uri, response_type=code
    ```

7.  Exchange for an ASU access token. Example:

    ```
    POST https://us.agent.workday.com/auth/oauth2/<tenant>/token
    Headers: Content-Type: application/x-www-form-urlencoded
    Body: grant_type=authorization_code&code=<code>
          &client_id=<id>&client_secret=<secret>
     
    Response: { "access_token": "...", "token_type": "Bearer", "refresh_token": "..." }
    ```

    <b>Note:</b> Refresh your tokens before expiry as access tokens expire after 4 hours. Refresh tokens after 30 days.

8.  Verify your connection and confirm the MCP tools are accessible. Example:

    ```
    curl --request POST \
      --url https://us.agent.workday.com/mcp \
      --header 'Content-Type: application/json' \
      --header 'Authorization: Bearer <ASU token>' \
      --data '{
    	"jsonrpc": "2.0",
    	"id": 1,
    	"method": "tools/list"
      }'
    ```

    A `200` response with a list of your registered tools confirms everything is wired correctly.

9.  Connect to your agent platform.

    Any platform that supports MCP (Google Agentspace, Amazon Bedrock AgentCore, Microsoft Copilot Studio, and others) connects to the same endpoint using the same OAuth credentials. Refer to your platform's MCP integration documentation for the specific configuration steps.

    Example:

    When you add a Custom MCP in Cursor, in the mcp.json, add:

    ```
    {
      "mcpServers": {
    	"Workday MCP": {
      	"url": "https://{agentGatewayRegionEndpoint}/{tenantName}/mcp",
      	"headers": {
        	"Authorization": "Bearer <your ASU token>"
      	}
    	}
      }
    }
    ```



